Should track versions of Mozilla components are built for and provide warning when installation doesn't match

RESOLVED WONTFIX

Status

SeaMonkey
Installer
--
enhancement
RESOLVED WONTFIX
16 years ago
10 years ago

People

(Reporter: Patrick Barnes, Assigned: dveditz)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

16 years ago
The developer of an XPI package should be able to encode what version(s) of
Mozilla the component has been developed for, and Mozilla should provide a
warning when loading such a component when the versions don't match.  Mozilla
should give the user the option of removing the component without loading it. 
This check should probably be performed whenever a new build of Mozilla is detected.
Status: UNCONFIRMED → NEW
Ever confirmed: true
OS: Windows 2000 → All
Hardware: PC → All
Product: Browser → Seamonkey
(Assignee)

Comment 1

10 years ago
The xpinstall script engine has been removed from the trunk, bugs in it are obsolete.
Status: NEW → RESOLVED
Last Resolved: 10 years ago
Resolution: --- → WONTFIX

Updated

10 years ago
Component: Installer: XPI Packages → Installer
QA Contact: ktrina → general
You need to log in before you can comment on or make changes to this bug.